_pimcore :
    resource : "@PimcoreCoreBundle/config/routing.yaml"

app :
    resource : "../src/Controller/"
    type : annotation
okta_callback :
    path : /login/okta/callback
    controller : App\Security\SecurityOktaController::oktaCallback
okta_login :
    path : /login/okta
    controller : App\Security\SecurityOktaController::oktaLogin
login :
    path : /api/login
    methods : [ POST ]
authCheck :
    path : /api/authCheck
    controller : DamReactPortal\ApiBundle\Controller\ApiController::authCheck
    methods : [ POST ]
register :
    path : /api/register
    controller : DamReactPortal\ApiBundle\Controller\ApiController::register
    methods : POST
share :
    path : /api/share
    controller : DamReactPortal\ApiBundle\Controller\ApiController::share
    methods : POST
shareLink :
    path : /api/sharelink
    controller : DamReactPortal\ApiBundle\Controller\ApiController::shareLink
    methods : POST
sendShareLink :
    path : /api/sendsharelink
    controller : DamReactPortal\ApiBundle\Controller\ApiController::sendMailWithLink
    methods : POST
resendConfirmEmail :
    path : /api/resendconfirmemail
    controller : DamReactPortal\ApiBundle\Controller\ApiController::resendEmailConfirmation
    methods : POST
countrylist :
    path : /api/countries
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getCountryList
    methods : GET
languagelist :
    path : /api/languages
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getLanguageList
    methods : POST
assetDownload :
    path : /asset/download
    controller : DamReactPortal\ApiBundle\Controller\AssetController::download
    methods : POST
assetslist :
    path : /api/assets
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetIdsWithCustomMetadataIds
    methods : POST
catalogAttributes :
    path : /api/catalogattributes
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getCatalogFilterAttributes
    methods : POST
recentlyAddedAttributes :
    path : /api/recentlyaddedattributes
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getRecentlyAddedFilterAttributes
    methods : POST
favoriteVideoThumbnails :
    path : /api/favoritevideothumbnails
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getFavoriteVideoThumbnails
    methods : POST
catalogSliderRecentlyAddedAttributes :
    path : /api/catalogsliderrecentlyaddedattributes
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getCatalogSliderRecentlyAdded
    methods : POST
assetTypesByCustomMetaDataId :
    path : /api/assettypesbycustommetadataid
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetTypesByCustomMetaDataId
    methods : POST
assetsInfoList :
    path : /api/getassets
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssets
    methods : POST
recentlyAddedAssets :
    path : /api/getrecentlyaddedassests
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getRecentlyAddedAssets
    methods : POST
recentlyAddedAttributesModified :
    path : /api/recentlyaddedfilterattributesmodified
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getRecentlyAddedFilterAttributesModified
    methods : POST
assetsInfoList3 :
    path : /api/getassets3
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssets3
    methods : POST
searchResults :
    path : /api/search
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getSearchResult
    methods : POST
searchResultsCount :
    path : /api/searchcount
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getSearchResultCount
    methods : POST
assetsCustomMetadataInfo :
    path : /api/assetsCustomMetadataInfo
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetIdsWithCustomMetadataInfo
    methods : POST
assetsByCategorylist :
    path : /api/category/assets
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetsByBrandPortalCategory
    methods : POST
brandPortalCategorylist :
    path : /api/categories
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAllBrandPortalCategoriesWithAssetsCount
    methods : POST
filterAttributes :
    path : /api/filterattributes
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getFilterAttributes
    methods : POST
videoAssetThumbnail :
    path : /api/videothumbnail
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getVideoAssetThumbnailById
    methods : POST
fileSize :
    path : /api/filesizes
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getFileSizes
    methods : POST
assetResolution :
    path : /api/assetresolution
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetResolution
    methods : POST
assetResolutionByAssetIds :
    path : /api/assetresolutionbyids
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getResolutionByAssetIds
    methods : POST
confirmEmail :
    path : /api/confirmemail
    controller : DamReactPortal\ApiBundle\Controller\ApiController::confirmEmail
    methods : POST
assetTypesList :
    path : /api/assettypes
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetTypes
    methods : POST
assetsCount :
    path : /api/assetscount
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetsCount
    methods : POST
totalModelsList :
    path : /api/totalmodels
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getTotalModels
    methods : POST
assetColorSpace :
    path : /api/assetcolorspace
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetEmbeddedMetaData
    methods : POST
labelNameList :
    path : /api/labelnames
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getLabelNames
    methods : POST
documentThumbnails :
    path : /api/documentthumbnails
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getDocumentThumbnailsByIds
    methods : POST
documentThumbnail :
    path : /api/documentthumbnail
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getDocumentThumbnailById
    methods : POST
assetFilePath :
    path : /api/assetfilepath
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetFilePath
    methods : POST
pdfThumbnailFilePath :
    path : /api/pdfthumbnailfilepath
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getPdfThumbnailFilePath
    methods : POST
isEmailExist :
    path : /api/isemailexist
    controller : DamReactPortal\ApiBundle\Controller\ApiController::isEmailExist
    methods : POST
isUsernameExist :
    path : /api/isusernameexist
    controller : DamReactPortal\ApiBundle\Controller\ApiController::isUsernameExist
    methods : POST
assetSearchPermission :
    path : /api/assetsearchpermission
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetSearchPermission
    methods : POST
overwritePassword :
    path : /api/overwritepassword
    controller : DamReactPortal\ApiBundle\Controller\ApiController::overwritePassword
    methods : POST
getCustomAttributesOptionsNames :
    path : /api/getcustomattributesoptionsnames
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getCustomAttributesOptionsNames
    methods : POST
getAssetByRegionId :
    path : /api/getassetbyregionid
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetByRegionId
    methods : POST
forgotPasswordLink :
    path : /api/forgotpasswordlink
    controller : DamReactPortal\ApiBundle\Controller\ApiController::forgotPasswordLink
    methods : POST
recoveryLinkPasswordReset :
    path : /api/recoverylinkpasswordreset
    controller : DamReactPortal\ApiBundle\Controller\ApiController::recoverylinkpasswordreset
    methods : POST
assetsAvailableInDamPortal/api/recentlyaddedattributes :
    path : /api/assetsavailableindamportal
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetsAvailableInDamPortal
    methods : POST
downloadProcessZip :
    path : /api/downloadprocesszip
    controller : DamReactPortal\ApiBundle\Controller\DamDownloadController::downloadProcessAction
    methods : POST
getVideoPreviewFilePath :
    path : /api/assetvideopath
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getVideoPreviewFilePath
    methods : POST
videoThumbnails :
    path : /api/videothumbnails
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getVideoAssetThumbnailsByIds
    methods : POST
getAssetsByIds :
    path : /api/getassetsbyids
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetsByIds
    methods : POST
getFilterAttributesModification :
    path : /api/filterattributesmodified
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getFilterAttributesModification
    methods : POST
getAssetsByAssetIds :
    path : /api/assetsbyassetids
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getAssetsByAssetIds
    methods : POST
getFavoriteAssets :
    path : /api/getfavoriteassets
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getFavoriteAssets
    methods : POST
addFavoriteAssets :
    path : /api/addfavoriteassets
    controller : DamReactPortal\ApiBundle\Controller\ApiController::addFavoriteAssets
    methods : POST
removeFavoriteAssets :
    path : /api/removefavoriteassets
    controller : DamReactPortal\ApiBundle\Controller\ApiController::removeFavoriteAssets
    methods : POST
createFavoriteFolder :
    path : /api/createfavoritefolder
    controller : DamReactPortal\ApiBundle\Controller\ApiController::createFavoriteFolder
    methods : POST
updateFavoriteFolder :
    path : /api/updatefavoritefolder
    controller : DamReactPortal\ApiBundle\Controller\ApiController::updateFavoriteFolder
    methods : POST
removeFavoriteFolder :
    path : /api/removefavoritefolder
    controller : DamReactPortal\ApiBundle\Controller\ApiController::removeFavoriteFolder
    methods : POST
removeAllFavoriteAssetsInFolder :
    path : /api/removeallfavoriteassetsinfolder
    controller : DamReactPortal\ApiBundle\Controller\ApiController::removeAllFavoriteAssetsInFolder
    methods : POST
getCatalogs :
    path : /api/catalogs
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getCatalogs
    methods : POST
singleDownloadProcess :
    path : /api/singledownloadasset
    controller : DamReactPortal\ApiBundle\Controller\SingleDamDownloadAzureBlobController::downloadAssets
    methods : POST
searchFilter :
    path : /api/searchfilter
    controller : DamReactPortal\ApiBundle\Controller\ApiController::getSearchFilterByIds
userDownloadData :
    path : /api/userdownloadlist
    controller : DamReactPortal\ApiBundle\Controller\DamDownloadController::getAllUserDownloadList
downloadUpdate :
    path : /api/downloadupdate
    controller : DamReactPortal\ApiBundle\Controller\DamDownloadController::downloadOnceUpdate
notifiedRead :
    path : /api/notificationack
    controller : DamReactPortal\ApiBundle\Controller\DamDownloadController::notificationRead
removeZipTaskAllorOne :
    path : /api/removeziptasks
    controller : DamReactPortal\ApiBundle\Controller\DamDownloadController::removeZipTaskAllorOne